import { Style } from '../system/platform/Style';
import { MeasureTextFunction } from '../text';
import { Component } from './component';
import { IOElement } from './IOElement';
import { LayoutNode } from './LayoutNode';
export declare const LAYOUT_STYLE_ATTRS: string[];
export declare function extractStyle(component: Component, trait: LayoutNode, measureText: MeasureTextFunction): Style;
export declare function _extractStyle(component: Component, element: IOElement, trait: LayoutNode, measureText: MeasureTextFunction): Style;
export declare function extractLayoutStyle(style: Style): {};
export declare function _extractFromRawStyle(component: Component, element: IOElement, style: Style, trait: LayoutNode, measureText: MeasureTextFunction): Style;
